Index: icedtea-web-1.1/plugin/icedteanp/IcedTeaNPPlugin.cc
===================================================================
--- icedtea-web-1.1.orig/plugin/icedteanp/IcedTeaNPPlugin.cc	2011-06-08 21:42:40.350749654 +0200
+++ icedtea-web-1.1/plugin/icedteanp/IcedTeaNPPlugin.cc	2011-06-30 13:32:38.175450759 +0200
@@ -243,8 +243,8 @@
 static GPid appletviewer_pid = -1;
 static guint appletviewer_watch_id = -1;
 
-int plugin_debug = getenv ("ICEDTEAPLUGIN_DEBUG") != NULL;
-int plugin_debug_suspend = (getenv("ICEDTEAPLUGIN_DEBUG") != NULL) &&
+int icedtea_plugin_debug = getenv ("ICEDTEAPLUGIN_DEBUG") != NULL;
+int icedtea_plugin_debug_suspend = (getenv("ICEDTEAPLUGIN_DEBUG") != NULL) &&
         (strcmp(getenv("ICEDTEAPLUGIN_DEBUG"), "suspend") == 0);
 
 pthread_cond_t cond_message_available = PTHREAD_COND_INITIALIZER;
@@ -1529,7 +1529,7 @@
   gchar** environment;
 
   int cmd_num = 0;
-  if (plugin_debug)
+  if (icedtea_plugin_debug)
   {
       command_line = (gchar**) malloc(sizeof(gchar*)*11);
       command_line[cmd_num++] = g_strdup(appletviewer_executable);
@@ -1539,7 +1539,7 @@
       command_line[cmd_num++] = g_strdup_printf("%s/lib/rt.jar", ICEDTEA_WEB_JRE);
       command_line[cmd_num++] = g_strdup("-Xdebug");
       command_line[cmd_num++] = g_strdup("-Xnoagent");
-      if (plugin_debug_suspend)
+      if (icedtea_plugin_debug_suspend)
       {
           command_line[cmd_num++] = g_strdup("-Xrunjdwp:transport=dt_socket,address=8787,server=y,suspend=y");
       } else
Index: icedtea-web-1.1/plugin/icedteanp/IcedTeaNPPlugin.h
===================================================================
--- icedtea-web-1.1.orig/plugin/icedteanp/IcedTeaNPPlugin.h	2011-06-08 21:42:40.000000000 +0200
+++ icedtea-web-1.1/plugin/icedteanp/IcedTeaNPPlugin.h	2011-06-30 13:34:25.401264860 +0200
@@ -101,7 +101,7 @@
 extern pthread_mutex_t pluginAsyncCallMutex;
 
 // debug switch
-extern int plugin_debug;
+extern int icedtea_plugin_debug;
 
 // Browser function table.
 extern NPNetscapeFuncs browser_functions;
Index: icedtea-web-1.1/plugin/icedteanp/IcedTeaPluginUtils.cc
===================================================================
--- icedtea-web-1.1.orig/plugin/icedteanp/IcedTeaPluginUtils.cc	2011-06-08 21:42:40.000000000 +0200
+++ icedtea-web-1.1/plugin/icedteanp/IcedTeaPluginUtils.cc	2011-06-30 13:34:57.213396453 +0200
@@ -404,7 +404,7 @@
 
 	wchar_t c;
 
-	if (plugin_debug) printf("Converted UTF-16LE string: ");
+	if (icedtea_plugin_debug) printf("Converted UTF-16LE string: ");
 
 	result_unicode_str->clear();
 	for (int i = begin; i < begin+length; i+=2)
@@ -418,14 +418,14 @@
         	(c >= 'A' && c <= 'Z') ||
         	(c >= '0' && c <= '9'))
         {
-        	if (plugin_debug) printf("%c", c);
+        	if (icedtea_plugin_debug) printf("%c", c);
         }
 
         result_unicode_str->push_back(c);
 	}
 
 	// not routing via debug print macros due to wide-string issues
-	if (plugin_debug) printf(". Length=%d\n", result_unicode_str->length());
+	if (icedtea_plugin_debug) printf(". Length=%d\n", result_unicode_str->length());
 }
 
 /*
@@ -439,7 +439,7 @@
 {
 
         // This is a CPU intensive function. Run only if debugging
-        if (!plugin_debug)
+        if (!icedtea_plugin_debug)
             return;
 
 	std::string* str = new std::string();
@@ -619,7 +619,7 @@
 IcedTeaPluginUtilities::printStringPtrVector(const char* prefix, std::vector<std::string*>* str_ptr_vector)
 {
         // This is a CPU intensive function. Run only if debugging
-        if (!plugin_debug)
+        if (!icedtea_plugin_debug)
             return;
 
 	std::string* str = new std::string();
@@ -643,7 +643,7 @@
 IcedTeaPluginUtilities::printNPVariant(NPVariant variant)
 {
     // This is a CPU intensive function. Run only if debugging
-    if (!plugin_debug)
+    if (!icedtea_plugin_debug)
         return;
 
     if (NPVARIANT_IS_VOID(variant))
Index: icedtea-web-1.1/plugin/icedteanp/IcedTeaPluginUtils.h
===================================================================
--- icedtea-web-1.1.orig/plugin/icedteanp/IcedTeaPluginUtils.h	2011-06-08 21:42:40.000000000 +0200
+++ icedtea-web-1.1/plugin/icedteanp/IcedTeaPluginUtils.h	2011-06-30 13:35:56.290497900 +0200
@@ -69,7 +69,7 @@
 #define PLUGIN_DEBUG(...) \
   do                                                          \
   {                                                           \
-    if (plugin_debug)                                         \
+    if (icedtea_plugin_debug)                                         \
     {                                                         \
       fprintf (stderr, "ITNPP Thread# %ld: ", pthread_self()); \
       fprintf (stderr, __VA_ARGS__);                          \
